﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class ttips_with_aria_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

	protected void OnAjaxUpdate(object sender, ToolTipUpdateEventArgs args)
	{
		this.UpdateToolTip(args.Value, args.UpdatePanel);
	}
	private void UpdateToolTip(string elementID, UpdatePanel panel)
	{
		Control ctrl = Page.LoadControl("WebUserControl.ascx");
		panel.ContentTemplateContainer.Controls.Add(ctrl);
		ttips_with_aria_WebUserControl details = (ttips_with_aria_WebUserControl)ctrl;
		details.ProductID = elementID;
	}
	protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
	{
		if (e.Item.ItemType == GridItemType.Item || e.Item.ItemType == GridItemType.AlternatingItem)
		{
			Control target = e.Item.FindControl("targetControl");
			if (!Object.Equals(target, null))
			{
				if (!Object.Equals(this.RadToolTipManager1, null))
				{
					//Add the button (target) id to the tooltip manager
					this.RadToolTipManager1.TargetControls.Add(target.ClientID, (e.Item as GridDataItem).GetDataKeyValue("ProductID").ToString(), true);

				}
			}
		}
	}
	protected void RadGrid1_ItemCommand(object source, GridCommandEventArgs e)
	{
		if (e.CommandName == "Sort" || e.CommandName == "Page")
		{
			RadToolTipManager1.TargetControls.Clear();
		}

	}
}